> ## Documentation Index
> Fetch the complete documentation index at: https://docs.katilyst.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List a user's logged actions



## OpenAPI

````yaml openapi.json GET /v1/projects/{projectId}/users/{userId}/logged-actions
openapi: 3.0.0
info:
  title: Katilyst Public API
  description: >-
    <h4>API Key</h4><p>To use the Katilyst Public API, you need an API Key. API
    Keys are issued on a per-account basis and have access to all information
    and operations within an account that are available through the Katilyst
    Public API. <p>They should be handled with care and treated as you would a
    password to a powerful account.</p></p>

    <p>To use your API Key, simply include it in the Authorization header of all
    requests to the Katilyst Public API, prefixed with the string “API-Key” like
    so:</p><code>Authorization: API-Key katilsyt_oMeofDAJ_thisisanexamplekey
    </code><h4>Paging</h4><p>For GET endpoints that return arrays of objects,
    the API will automatically page results for you. If you wish to control the
    page size or number yourself, you can provide the query parameters
    <code>limit</code> and <code>start</code>. Limit will control the maximum
    number of results returned per page. Start will determine which page to
    return, with 0 being the first page.</p><h4>Timestamps</h4><p>For POST and
    PUT inputs that take timestamps, the timestamp must be provided as a string
    in ISO 8601 format and requires that include a “z” to designate UTC or a
    timezone offset.</p>
  version: V1.0
  contact: {}
servers:
  - url: https://api.katilyst.com
security: []
tags: []
paths:
  /v1/projects/{projectId}/users/{userId}/logged-actions:
    get:
      tags:
        - V1
      summary: List a user's logged actions
      operationId: ProjectController_getUserLoggedActions
      parameters:
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: userId
          required: true
          in: path
          schema:
            type: string
        - name: minActionDate
          required: false
          in: query
          schema:
            format: date-time
            type: string
        - name: maxActionDate
          required: false
          in: query
          schema:
            format: date-time
            type: string
        - name: minDateApplied
          required: false
          in: query
          schema:
            format: date-time
            type: string
        - name: maxDateApplied
          required: false
          in: query
          schema:
            format: date-time
            type: string
        - name: minExpirationDate
          required: false
          in: query
          schema:
            format: date-time
            type: string
        - name: maxExpirationDate
          required: false
          in: query
          schema:
            format: date-time
            type: string
        - name: status
          required: false
          in: query
          schema:
            enum:
              - APPROVED
              - REJECTED
              - PENDING
              - LIMIT_EXCEEDED_TIMEFRAME
              - EXPIRED_NOT_APPROVED
            type: string
        - name: availableActionId
          required: false
          in: query
          schema:
            type: string
        - name: start
          required: false
          in: query
          schema:
            type: number
        - name: limit
          required: false
          in: query
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserLoggedActionsResponse'
        '400':
          description: The user was not found in that project
        '401':
          description: Missing or invalid API Key
      security:
        - API-Key: []
components:
  schemas:
    GetUserLoggedActionsResponse:
      type: object
      properties:
        start:
          type: number
          example: 0
          description: Indexed at '0' - start index for entity fetch
        limit:
          type: number
          example: 100
          description: Limit of entities to fetch per page.
        count:
          type: number
          example: 500
          description: Total count of entities.
        links:
          $ref: '#/components/schemas/PagingLinks'
        actions:
          type: array
          items:
            $ref: '#/components/schemas/LoggedAction'
      required:
        - start
        - limit
        - count
        - links
        - actions
    PagingLinks:
      type: object
      properties:
        next:
          type: string
          description: Link provided to fetch next page of entities
          example: >-
            https://api.katilyst.com/v1/projects/1111-111-11111-example/users?start=100&limit=100
        prev:
          type: string
          description: Link provided to fetch previous page of entities
          example: >-
            https://api.katilyst.com/v1/projects/1111-111-11111-example/users?start=100&limit=100
    LoggedAction:
      type: object
      properties:
        id:
          type: string
          example: 1111-2222-3333-example
        name:
          type: string
          example: Complete Bug Ticket
        amount:
          type: string
          example: '50'
        details:
          type: string
          example: 'Fixed SSO security bug ticket #345.'
        attribute:
          type: string
          example: Points
        operator:
          type: string
          example: +
        result:
          type: string
          example: Points + 50
        newValue:
          type: string
          example: '100'
        creator:
          type: string
          example: SalesForce Integration
        status:
          type: string
          example: APPROVED
        actionDate:
          type: string
          example: '2025-03-17T17:45:10Z'
        dateApplied:
          type: string
          example: '2025-03-17T17:45:10Z'
        expirationDate:
          type: string
          example: '2025-03-24T00:00:00.000Z'
        availableActionId:
          type: string
          example: 1111-2222-3333-5555
        loggedActionUserGroups:
          type: array
          items:
            $ref: '#/components/schemas/ActionUserGroup'
      required:
        - id
        - name
        - amount
        - details
        - attribute
        - operator
        - result
        - newValue
        - creator
        - status
        - actionDate
        - dateApplied
        - availableActionId
        - loggedActionUserGroups
    ActionUserGroup:
      type: object
      properties:
        groupingId:
          type: string
          example: 1111-2222-3333-example
        name:
          type: string
          example: Team
        group:
          $ref: '#/components/schemas/ActionGroup'
      required:
        - groupingId
        - name
        - group
    ActionGroup:
      type: object
      properties:
        id:
          type: string
          example: 1111-2222-3333-example
        name:
          type: string
          example: Engineering
      required:
        - id
        - name
  securitySchemes:
    API-Key:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your full Authorization header value, including the prefix: `API-Key
        katilyst_xxxx_yourkey`

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.